KCGRASSTEST(1)

NAME
kcgrasstest - command line interface to test the cache tree database

DESCRIPTION

The command `kcgrasstest' is a utility for facility test and performance test of the cache tree database. This command is used in the following format. `rnum' specifies the number of iterations.

    kcgrasstest order [-th num] [-rnd] [-etc] [-tran] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] rnum
        Performs in-order tests.
    kcgrasstest queue [-th num] [-it num] [-rnd] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] rnum
        Performs queuing operations.
    kcgrasstest wicked [-th num] [-it num] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] rnum
        Performs mixed operations selected at random.
    kcgrasstest tran [-th num] [-it num] [-tc] [-bnum num] [-psiz num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -psiz num : specifies the size of each page.
    -pccap num : specifies the capacity size of the page cache.
    -rcd : use the decimal comparator instead of the lexical one.
    -rcld : use the lexical descending comparator instead of the ascending one.
    -rcdd : use the decimal descending comparator instead of the lexical one.
    -lv : reports all errors.
    -it num : specifies the number of repetition.

This command returns 0 on success, another on failure.